# Interface methods for submodule: ObjectByObjectLabelMapFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import LabelMapFilterProxy as _LabelMapFilterProxy


# Interface methods for class: ObjectByObjectLabelMapFilter
class ObjectByObjectLabelMapFilterProxy(_LabelMapFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetFilter(self, filter) -> None:
		""""""
		...

	def GetFilter(self):
		""""""
		...

	def SetInputFilter(self, filter) -> None:
		""""""
		...

	def GetModifiableInputFilter(self):
		""""""
		...

	def GetInputFilter(self):
		""""""
		...

	def SetOutputFilter(self, filter) -> None:
		""""""
		...

	def GetModifiableOutputFilter(self):
		""""""
		...

	def GetOutputFilter(self):
		""""""
		...

	def SetKeepLabels(self, _arg: bool) -> None:
		""""""
		...

	def GetKeepLabels(self) -> bool:
		""""""
		...

	def KeepLabelsOn(self) -> None:
		""""""
		...

	def KeepLabelsOff(self) -> None:
		""""""
		...

	def SetPadSize(self, _arg: Sequence[int]) -> None:
		""""""
		...

	def GetPadSize(self) -> Sequence[int]:
		""""""
		...

	def SetConstrainPaddingToImage(self, _arg: bool) -> None:
		""""""
		...

	def GetConstrainPaddingToImage(self) -> bool:
		""""""
		...

	def ConstrainPaddingToImageOn(self) -> None:
		""""""
		...

	def ConstrainPaddingToImageOff(self) -> None:
		""""""
		...

	def SetBinaryInternalOutput(self, _arg: bool) -> None:
		""""""
		...

	def GetBinaryInternalOutput(self) -> bool:
		""""""
		...

	def BinaryInternalOutputOn(self) -> None:
		""""""
		...

	def BinaryInternalOutputOff(self) -> None:
		""""""
		...

	def SetInternalForegroundValue(self, _arg: int) -> None:
		""""""
		...

	def GetInternalForegroundValue(self) -> int:
		""""""
		...

	def GetLabel(self) -> int:
		""""""
		...

